<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="description" content="ecocommons">
<title>ecocommons • ecocommons</title>
<script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link href="../deps/bootstrap-5.1.3/bootstrap.min.css" rel="stylesheet">
<script src="../deps/bootstrap-5.1.3/bootstrap.bundle.min.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- bootstrap-toc --><script src="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.js"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- search --><script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/6.4.6/fuse.js" integrity="sha512-zv6Ywkjyktsohkbp9bb45V6tEMoWhzFzXis+LrMehmJZZSys19Yxf1dopHx7WzIKxr5tK2dVcYmaCk2uqdjF4A==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/autocomplete.js/0.38.0/autocomplete.jquery.min.js" integrity="sha512-GU9ayf+66Xx2TmpxqJpliWbT5PiGYxpaG8rfnBEk1LL8l1KGkRShhngwdXK1UgqhAzWpZHSiYPc09/NwDQIGyg==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mark.js/8.11.1/mark.min.js" integrity="sha512-5CYOlHXGh6QpOFA/TeTylKLWfB3ftPsde7AnmhuitiTX4K5SqCLBeKro6sPS8ilsz1Q4NRx3v8Ko2IBiszzdww==" crossorigin="anonymous"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="ecocommons">
<meta property="og:description" content="ecocommons">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>
    

    <nav class="navbar fixed-top navbar-light navbar-expand-lg bg-light"><div class="container">
    
    <a class="navbar-brand me-2" href="../index.html">ecocommons</a>

    <small class="nav-text text-muted me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="">1.2.3</small>

    
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto">
<li class="active nav-item">
  <a class="nav-link" href="../articles/ecocommons.html">Get started</a>
</li>
<li class="nav-item">
  <a class="nav-link" href="../reference/index.html">Reference</a>
</li>
<li class="nav-item">
  <a class="nav-link" href="../news/index.html">Changelog</a>
</li>
      </ul>
<form class="form-inline my-2 my-lg-0" role="search">
        <input type="search" class="form-control me-sm-2" aria-label="Toggle navigation" name="search-input" data-search-index="../search.json" id="search-input" placeholder="Search for" autocomplete="off">
</form>

      <ul class="navbar-nav">
<li class="nav-item">
  <a class="external-link nav-link" href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/" aria-label="gitlab">
    <span class="fab fa fab fa-gitlab fa-lg"></span>
     
  </a>
</li>
      </ul>
</div>

    
  </div>
</nav><div class="container template-article">




<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">
      <img src="" class="logo" alt=""><h1>ecocommons</h1>
            
      
      <small class="dont-index">Source: <a href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/blob/HEAD/vignettes/articles/ecocommons.rmd" class="external-link"><code>vignettes/articles/ecocommons.rmd</code></a></small>
      <div class="d-none name"><code>ecocommons.rmd</code></div>
    </div>

    
    
<div class="section level2">
<h2 id="introduction">Introduction<a class="anchor" aria-label="anchor" href="#introduction"></a>
</h2>
<p>Species distirbution modelling workflows in the EcoCommons platform
are referred to as experiments. A complete experiment can ultimately be
represented using a single <code>parameters</code> file. This is a
<code>.json</code> schema (plain text) which contains a range of
metadata about the experiment, including:</p>
<ul>
<li>the chosen model algoritihm</li>
<li>the chosen model parameters</li>
<li>the datasets to be used in the experiment
<ul>
<li>species occurrence/absence data (csv)</li>
<li>environmental predictors (GeoTIFF)</li>
</ul>
</li>
<li>and an optional constraint region (geojson) for model training</li>
</ul>
<p>The advantage of this parameters file is that all of the metadata
needed to repeat an experiment is contained within a single text file.
In the future, it will be possible to take this file from an output of
your experiment on the EcoCommons live platform, and then re-run your
experiment locally with ease.</p>
<p>This example will demonstrate the steps required to run a species
distribution experiment locally, using our provided example data.</p>
</div>
<div class="section level2">
<h2 id="setup">Setup<a class="anchor" aria-label="anchor" href="#setup"></a>
</h2>
<p>We start by loading the <code>ecocommons</code> package, and loading
the example experiment parameters file that is included in the package:
<code>bioclim-params.json</code>.</p>
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="kw"><a href="https://rdrr.io/r/base/library.html" class="external-link">library</a></span><span class="op">(</span><span class="va"><a href="https://ecocommons-australia.gitlab.io/ecocommons-platform/ecocommons/">ecocommons</a></span><span class="op">)</span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt; #########################################################################</span></span>
<span><span class="co">#&gt; #######            EcoCommons package: SDM algorithms             #######</span></span>
<span><span class="co">#&gt; #########################################################################</span></span>
<span><span class="co">#&gt; ##</span></span>
<span><span class="co">#&gt; ## Author details:   EcoCommons Platform</span></span>
<span><span class="co">#&gt; ## Contact details:  comms@ecocommons.org.au</span></span>
<span><span class="co">#&gt; ## Copyright phrase: This script is the product of the EcoCommons platform</span></span>
<span><span class="co">#&gt; ##</span></span>
<span><span class="co">#&gt; ##########################################################################</span></span>
<span><span class="co">#&gt;      This is version: 1.2.3 of ecocommons</span></span>
<span><span class="va">data_path</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/system.file.html" class="external-link">system.file</a></span><span class="op">(</span><span class="st">"data"</span>, <span class="st">"bioclim-params.json"</span>, package <span class="op">=</span> <span class="st">"ecocommons"</span><span class="op">)</span></span>
<span><span class="va">source_file</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/EC_read_json.html">EC_read_json</a></span><span class="op">(</span>file <span class="op">=</span> <span class="va">data_path</span><span class="op">)</span></span></code></pre></div>
<p>The source file contains file paths used in the platform. For local
use, we can use <code>EC_reset_env</code>. This will reset the file
paths to be relative to your current working directory. If
<code>create_dir</code> is <code>TRUE</code> (default), it will also
create the folder structure required to run the experiment locally. You
can also specify a sub-directory to use for the experiment using the
<code>work_dir</code> argument. This will be created under your current
working directory if it does not exist.</p>
<div class="sourceCode" id="cb2"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="va">source_file_local</span> <span class="op">&lt;-</span> <span class="fu">EC_reset_env</span><span class="op">(</span><span class="va">source_file</span>,</span>
<span>  create_dir <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  work_dir <span class="op">=</span> <span class="st">"work"</span></span>
<span><span class="op">)</span></span>
<span><span class="co">#&gt; Created work directory: /Users/andrew/Documents/GitHub/ec-rpkg/vignettes/articles/work</span></span>
<span><span class="co">#&gt; Created sub-directory: /Users/andrew/Documents/GitHub/ec-rpkg/vignettes/articles/work/input</span></span>
<span><span class="co">#&gt; Created sub-directory: /Users/andrew/Documents/GitHub/ec-rpkg/vignettes/articles/work/output</span></span>
<span><span class="co">#&gt; Reset env paths complete!</span></span></code></pre></div>
<p>The next step is to gather our input data paths. The
<code>parameters</code> file typically contains both URLs (used in the
platform) and local paths. But to run our example, we just need local
paths to the data. So we can use the <code>EC_get_data</code> function
with type <code>example</code>. This will reset the data paths in the
<code>parameters</code> file to use the example datasets included in the
package.</p>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="va">source_file_local_ex</span> <span class="op">&lt;-</span> <span class="fu">EC_get_data</span><span class="op">(</span><span class="va">source_file_local</span>, type <span class="op">=</span> <span class="st">"example"</span><span class="op">)</span></span></code></pre></div>
</div>
<div class="section level2">
<h2 id="build-the-dataset">Build the dataset<a class="anchor" aria-label="anchor" href="#build-the-dataset"></a>
</h2>
<p>The example data properties:</p>
<ul>
<li>Species occurrence data: Koala (<em>Phascolarctos
cinereus</em>)</li>
<li>Environmental predictors: Bioclimatic variables 01 and 03 (mean
annual temperature and isothermality)</li>
<li>Constraint region: Redlands, south-east Queensland, Australia</li>
</ul>
<p>Until now we have been working with just a list of paths and
metadata. But we will now use the <code>EC_build_data</code> function to
load and format the data.</p>
<div class="sourceCode" id="cb4"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="va">ec_data_list</span> <span class="op">&lt;-</span> <span class="fu">EC_build_data</span><span class="op">(</span><span class="va">source_file_local_ex</span><span class="op">)</span></span>
<span><span class="co">#&gt; ▶ Start: EC_build_dataset ...</span></span>
<span><span class="co">#&gt; ▶ Start: EC_raster_resampled ...</span></span>
<span><span class="co">#&gt; [1] "CRS has an EPSG code, continuing"</span></span>
<span><span class="co">#&gt; [1] "CRS has an EPSG code, continuing"</span></span>
<span><span class="co">#&gt; All rasters are in the same resolution, skipping resampling.</span></span>
<span><span class="co">#&gt; ✔ Done: EC_raster_resampled [0.05s]</span></span>
<span><span class="co">#&gt; ✔ Done: EC_build_dataset [0.17s]</span></span>
<span><span class="fu"><a href="https://rdrr.io/r/utils/str.html" class="external-link">str</a></span><span class="op">(</span><span class="va">ec_data_list</span><span class="op">$</span><span class="va">dataset</span><span class="op">)</span></span>
<span><span class="co">#&gt; List of 5</span></span>
<span><span class="co">#&gt;  $ current_climate_orig:S4 class 'SpatRaster' [package "terra"]</span></span>
<span><span class="co">#&gt;  $ occur               : num [1:51, 1:2] 153 153 153 153 153 ...</span></span>
<span><span class="co">#&gt;   ..- attr(*, "dimnames")=List of 2</span></span>
<span><span class="co">#&gt;   .. ..$ : chr [1:51] "1" "2" "3" "4" ...</span></span>
<span><span class="co">#&gt;   .. ..$ : chr [1:2] "lon" "lat"</span></span>
<span><span class="co">#&gt;  $ absen               : NULL</span></span>
<span><span class="co">#&gt;  $ pa_number_point     : num 51</span></span>
<span><span class="co">#&gt;  $ current_climate     :S4 class 'SpatRaster' [package "terra"]</span></span></code></pre></div>
<p>Looking at the structure of our new <code>ec_data_list</code> object,
we can see that it contains the <code>parameters</code> metadata as
before, but it now also contains the <code>dataset</code> item. The
dataset item contains the formatted data that will be used in the model,
including our predictor layers in two different stacks, one that is
constrained to our chosen region, and one that is unconstrained. These
layers did not need to be modified since they shared the same projection
and resolution, but if they did, the <code>EC_build_data</code> function
will take care of this for you.</p>
<p>Let’s visualise some of the formatted input data:</p>
<div class="sourceCode" id="cb5"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="va">data_plots</span> <span class="op">&lt;-</span> <span class="fu">EC_explore_built_data</span><span class="op">(</span><span class="va">ec_data_list</span><span class="op">)</span></span>
<span><span class="va">row2</span> <span class="op">&lt;-</span> <span class="fu">gridExtra</span><span class="fu">::</span><span class="fu"><a href="https://rdrr.io/pkg/gridExtra/man/arrangeGrob.html" class="external-link">arrangeGrob</a></span><span class="op">(</span><span class="fu">ggplot2</span><span class="fu">::</span><span class="fu"><a href="https://ggplot2.tidyverse.org/reference/ggplotGrob.html" class="external-link">ggplotGrob</a></span><span class="op">(</span><span class="va">data_plots</span><span class="op">$</span><span class="va">plot_2</span><span class="op">)</span>,</span>
<span>  <span class="fu">ggplot2</span><span class="fu">::</span><span class="fu"><a href="https://ggplot2.tidyverse.org/reference/ggplotGrob.html" class="external-link">ggplotGrob</a></span><span class="op">(</span><span class="va">data_plots</span><span class="op">$</span><span class="va">plot_3</span><span class="op">)</span>,</span>
<span>  ncol <span class="op">=</span> <span class="fl">2</span></span>
<span><span class="op">)</span></span>
<span><span class="va">plots</span> <span class="op">&lt;-</span> <span class="fu">gridExtra</span><span class="fu">::</span><span class="fu"><a href="https://rdrr.io/pkg/gridExtra/man/arrangeGrob.html" class="external-link">arrangeGrob</a></span><span class="op">(</span><span class="va">data_plots</span><span class="op">$</span><span class="va">plot_1</span>, <span class="va">row2</span>,</span>
<span>  nrow <span class="op">=</span> <span class="fl">2</span></span>
<span><span class="op">)</span></span>
<span><span class="fu">grid</span><span class="fu">::</span><span class="fu"><a href="https://rdrr.io/r/grid/grid.newpage.html" class="external-link">grid.newpage</a></span><span class="op">(</span><span class="op">)</span></span>
<span><span class="fu">grid</span><span class="fu">::</span><span class="fu"><a href="https://rdrr.io/r/grid/grid.draw.html" class="external-link">grid.draw</a></span><span class="op">(</span><span class="va">plots</span><span class="op">)</span></span></code></pre></div>
<div class="figure" style="text-align: center">
<img src="ecocommons_files/figure-html/unnamed-chunk-6-1.png" alt="Species occurrence data for the Koala example data. Species presence locations indicated by + symbols, and red shading indicates the constrained model region." width="960"><p class="caption">
Species occurrence data for the Koala example data. Species presence
locations indicated by + symbols, and red shading indicates the
constrained model region.
</p>
</div>
<p>Now it’s time to format the dataset using our model options specified
in <code>ec_data_list$params</code>. This is essentially a wrapper for
the <code>biomod2</code> format data function, with some helpful
defaults, such as to use true absence data if it is available in our
<code>parameters</code> file, or else use the psuedo-absence selection
strategy and parameters specified in our <code>parameters</code> file.
This function will also save the formatted data to the
<code>output</code> folder, containing the presence/absence locations
and their associated values for each of the environmental
predictors.</p>
<div class="sourceCode" id="cb6"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="va">model_compute</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/EC_format_biomod2.html">EC_format_biomod2</a></span><span class="op">(</span><span class="va">ec_data_list</span><span class="op">$</span><span class="va">dirs</span>,</span>
<span>  true.absen <span class="op">=</span> <span class="va">ec_data_list</span><span class="op">$</span><span class="va">dataset</span><span class="op">$</span><span class="va">absen</span>,</span>
<span>  pseudo.absen.points <span class="op">=</span> <span class="va">ec_data_list</span><span class="op">$</span><span class="va">dataset</span><span class="op">$</span><span class="va">pa_number_point</span>,</span>
<span>  pseudo.absen.strategy <span class="op">=</span> <span class="st">"random"</span>,</span>
<span>  pseudo.absen.disk.min <span class="op">=</span> <span class="va">ec_data_list</span><span class="op">$</span><span class="va">params</span><span class="op">$</span><span class="va">pa_disk_min</span>,</span>
<span>  pseudo.absen.disk.max <span class="op">=</span> <span class="va">ec_data_list</span><span class="op">$</span><span class="va">params</span><span class="op">$</span><span class="va">pa_disk_max</span>,</span>
<span>  pseudo.absen.sre.quant <span class="op">=</span> <span class="va">ec_data_list</span><span class="op">$</span><span class="va">params</span><span class="op">$</span><span class="va">pa_sre_quant</span>,</span>
<span>  climate.data <span class="op">=</span> <span class="va">ec_data_list</span><span class="op">$</span><span class="va">dataset</span><span class="op">$</span><span class="va">current_climate</span>,</span>
<span>  occur <span class="op">=</span> <span class="va">ec_data_list</span><span class="op">$</span><span class="va">dataset</span><span class="op">$</span><span class="va">occur</span>,</span>
<span>  species.name <span class="op">=</span> <span class="va">ec_data_list</span><span class="op">$</span><span class="va">response</span><span class="op">$</span><span class="va">occur_species</span>,</span>
<span>  save.pseudo.absen <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  save.env.absen <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  save.env.occur <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  generate.background.data <span class="op">=</span> <span class="cn">FALSE</span></span>
<span><span class="op">)</span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt; -=-=-=-=-=-=-=-=-=-=-=-=-=-= Koala Data Formating -=-=-=-=-=-=-=-=-=-=-=-=-=-=</span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt;       ! No data has been set aside for modeling evaluation</span></span>
<span><span class="co">#&gt;  !!! Some data are located in the same raster cell. </span></span>
<span><span class="co">#&gt;           Only the first data in each cell will be kept as `filter.raster = TRUE`.</span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt; Checking Pseudo-absence selection arguments...</span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt;    &gt; random pseudo absences selection</span></span>
<span><span class="co">#&gt;    &gt; Pseudo absences are selected in explanatory variables</span></span>
<span><span class="co">#&gt; -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= Done -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=</span></span></code></pre></div>
</div>
<div class="section level2">
<h2 id="run-the-experiment">Run the experiment<a class="anchor" aria-label="anchor" href="#run-the-experiment"></a>
</h2>
<p>With everything set up, we can now run the experiment workflow. In
this example we will be running the <code>EC_modelling_bioclim</code>
experiment. This experiment uses the <code>bioclim</code> algorithim
implemented in the <code>dismo</code> package, which is a classic
climate-envelope-model.</p>
<div class="sourceCode" id="cb7"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu"><a href="../reference/EC_modelling_bioclim.html">EC_modelling_bioclim</a></span><span class="op">(</span></span>
<span>  <span class="va">ec_data_list</span><span class="op">$</span><span class="va">params</span>,</span>
<span>  <span class="va">ec_data_list</span><span class="op">$</span><span class="va">dirs</span>,</span>
<span>  <span class="va">ec_data_list</span><span class="op">$</span><span class="va">response</span>,</span>
<span>  <span class="va">ec_data_list</span><span class="op">$</span><span class="va">predictor</span>,</span>
<span>  <span class="va">ec_data_list</span><span class="op">$</span><span class="va">constraint</span>,</span>
<span>  <span class="va">ec_data_list</span><span class="op">$</span><span class="va">dataset</span>,</span>
<span>  <span class="va">model_compute</span></span>
<span><span class="op">)</span></span>
<span><span class="co">#&gt; ▶ Start: EC_modelling_bioclim ...</span></span>
<span><span class="co">#&gt; Scale for <span style="color: #00BB00;">fill</span> is already present.</span></span>
<span><span class="co">#&gt; Adding another scale for <span style="color: #00BB00;">fill</span>, which will replace the existing scale.</span></span>
<span><span class="co">#&gt; Saving 7.29 x 4.51 in image</span></span>
<span><span class="co">#&gt; Prediction plot saved successfully.</span></span>
<span><span class="co">#&gt; Plot generated using regular sample method of 50 000 points.</span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt; Scale for <span style="color: #00BB00;">fill</span> is already present.</span></span>
<span><span class="co">#&gt; Adding another scale for <span style="color: #00BB00;">fill</span>, which will replace the existing scale.</span></span>
<span><span class="co">#&gt; Saving 7.29 x 4.51 in image</span></span>
<span><span class="co">#&gt; Prediction plot saved successfully.</span></span>
<span><span class="co">#&gt; Plot generated using regular sample method of 50 000 points.</span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt; </span></span>
<span><span class="co">#&gt; BioClim profile completed!</span></span>
<span><span class="co">#&gt; ✔ Done: EC_modelling_bioclim [2.96s]</span></span></code></pre></div>
<p>The <code>EC_modelling_*</code> functions offer a complete automated
workflow for running different SDM algorithims. Our <code>ouput</code>
folder now contains all of the results files generated by the workflow,
including a range of model evaluation plots, tables, and constrained and
unconstrained predictions using the trained model.</p>
</div>
<div class="section level2">
<h2 id="evaluation-and-visualisation">Evaluation and visualisation<a class="anchor" aria-label="anchor" href="#evaluation-and-visualisation"></a>
</h2>
<p>To finish, we will take a look at a few of the outputs:</p>
<div class="section level3">
<h3 id="model-evaluation-plots">Model evaluation plots<a class="anchor" aria-label="anchor" href="#model-evaluation-plots"></a>
</h3>
<p><img src="work/output/eval/Dismo-error-rates_Koala_bioclim.png" width="50%"><img src="work/output/eval/Dismo-presence-absence-plot_Koala_bioclim.png" width="50%"><img src="work/output/eval/Dismo-ROC_Koala_bioclim.png" width="50%"><img src="work/output/eval/Dismo-TPR-TNR_Koala_bioclim.png" width="50%"></p>
</div>
<div class="section level3">
<h3 id="model-prediction-plots">Model prediction plots<a class="anchor" aria-label="anchor" href="#model-prediction-plots"></a>
</h3>
<p><img src="work/output/eval/Proj_current_Koala_bioclim.png" alt="Prediction to constrained region using trained Bioclim model"><img src="work/output/eval/Proj_current_Koala_bioclim_unconstrained.png" alt="Prediction to unconstrained region using trained Bioclim model"></p>
<p>In addition to the plotted versions of the model predictions, the raw
GeoTIFF files are also included in the outputs folder!</p>
</div>
</div>
<div class="section level2">
<h2 id="next-steps">Next steps<a class="anchor" aria-label="anchor" href="#next-steps"></a>
</h2>
<p>At this stage we could change some of the parameters, or even add or
remove predictors, change the modelling region, and so on, re-running
the experiment, and generating all new outputs each time. If we wanted
to add a new predictor with a different resolution and CRS for example,
the automatic handling (with user options specified in the
<code>parameters</code> file) of the EcoCommons R package workflow would
take care of this, saving a huge amount of time, while maintaining a
consistent, reproducible, and easily recordable workflow thanks to the
<code>parameters</code> file.</p>
</div>
  </main><aside class="col-md-3"><nav id="toc"><h2>On this page</h2>
    </nav></aside>
</div>



    <footer><div class="pkgdown-footer-left">
  <p></p>
<p>Developed by EcoCommons Platform.</p>
</div>

<div class="pkgdown-footer-right">
  <p></p>
<p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.0.6.</p>
</div>

    </footer>
</div>

  

  

  </body>
</html>
